org.apache.poi.poifs.crypt

## Class DataSpaceMapUtils

- java.lang.Object
- - org.apache.poi.poifs.crypt.DataSpaceMapUtils

-     public class DataSpaceMapUtils
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DataSpaceMapUtils.DataSpaceDefinition`
    `static class` | `DataSpaceMapUtils.DataSpaceMap`
    `static class` | `DataSpaceMapUtils.DataSpaceMapEntry`
    `static class` | `DataSpaceMapUtils.DataSpaceVersionInfo`
    `static class` | `DataSpaceMapUtils.IRMDSTransformInfo`
    `static class` | `DataSpaceMapUtils.TransformInfoHeader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSpaceMapUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addDefaultDataSpace(DirectoryEntry dir)`
    `static DocumentEntry` | `createEncryptionEntry(DirectoryEntry dir, java.lang.String path, EncryptionRecord out)`
    `static java.lang.String` | `readUnicodeLPP4(LittleEndianInput is)`
    `static java.lang.String` | `readUtf8LPP4(LittleEndianInput is)`
    `static void` | `writeUnicodeLPP4(LittleEndianOutput os, java.lang.String string)`
    `static void` | `writeUtf8LPP4(LittleEndianOutput os, java.lang.String str)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSpaceMapUtils

          public DataSpaceMapUtils()

  - ### Method Detail

    - #### addDefaultDataSpace

          public static void addDefaultDataSpace(DirectoryEntry dir)
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### createEncryptionEntry

          public static DocumentEntry createEncryptionEntry(DirectoryEntry dir,
                                                            java.lang.String path,
                                                            EncryptionRecord out)
                                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readUnicodeLPP4

          public static java.lang.String readUnicodeLPP4(LittleEndianInput is)

    - #### writeUnicodeLPP4

          public static void writeUnicodeLPP4(LittleEndianOutput os,
                                              java.lang.String string)

    - #### readUtf8LPP4

          public static java.lang.String readUtf8LPP4(LittleEndianInput is)

    - #### writeUtf8LPP4

          public static void writeUtf8LPP4(LittleEndianOutput os,
                                           java.lang.String str)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.